Subject: Feature request (poll): default function for pretty printing when called interactively

From: [email-masked]
Date: Sun, 04 Jul 2021 13:22:59 +0200

I find myself quite frequently prefering to use the following form for
exiting/returning from a function:
```
        (when (called-interactively-p)
          (pp some-datastructure)
          data-structure))))
```
because often I prefer to see a pretty printed representation of a
data-structure when calling as a command, while I would like to use the
data-structure in another function when called as a function (which
unfortunately is not possible with the pretty printed data-structure)

So I was wondering if it would be reasonable to add a basic output
function for this to the Emacs core. Not very important of course, but
I figured that it could be a reasonable addition. If anybody has a
strong opinion about it, please share. Thank you!